[ Identification | Description | Input parameters | Output parameters | Links ]

# The `Beam_spy` Component

Beam analyzer for previous component

## Identification

- Author: E. Farhi
- Origin: Risoe
- Date: Nov 2005
- Version: 1.4

## Description

    This component displays informations about the beam at the previous component
    position. No data file is produced.
    It behaves as the Monitor component, but No propagation to the Beam_spy is
    performed, and all events are analyzed.
    The component should be located at the same position as the previous one.

## Input parameters

None.

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
mean_vx |  |  |
mean_vy |  |  |
mean_vz |  |  |
mean_dx |  |  |
mean_dy |  |  |
mean_dz |  |  |
n_neutrons |  |  |
min_x |  |  |
min_y |  |  |
min_z |  |  |
max_x |  |  |
max_y |  |  |
max_z |  |  |
min_vx |  |  |
min_vy |  |  |
min_vz |  |  |
max_vx |  |  |
max_vy |  |  |
max_vz |  |  |
mean_x |  |  |
mean_y |  |  |
mean_z |  |  |
mean_t |  |  |

## Links

- Source code for `Beam_spy.comp`.
- Monitor component

[ Identification | Description | Input parameters | Output parameters | Links ]